Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreExtendedLockManager

    java.lang.Object
      oracle.ifs.fdk.impl.LockManagerImpl
          oracle.ifs.fdk.impl.ExtendedLockManagerImpl
              oracle.ifs.fdk.core.CoreLockManager
                  oracle.ifs.fdk.core.CoreExtendedLockManager

All Implemented Interfaces:
  java.rmi.Remote, ExtendedLockManager, LockManager

    public class CoreExtendedLockManager

extends CoreLockManager
implements ExtendedLockManager

Implementation of the ExtendedLockManager interface.

See Also:
  `ExtendedLockManager`

Constructor Summary
`CoreExtendedLockManager()` Constructor.
`CoreExtendedLockManager(FdkSession session)`

Method Summary
`Item` | `acquireDavLock(long id, NamedValue[] attributes)` Acquires a DAV lock on the given Item.
`Item` | `acquireNullOrDavLock(long id, java.lang.String name, NamedValue[] attributes)` Acquires either a Null Resource Lock or a DAV lock on the given Item name.
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`Item` | `refreshDavLock(long id, NamedValue[] attributes)` Refreshes a DAV lock.
`void` | `releaseDavLock(long id)` Releases a DAV on the given Item.
`void` | `releaseNullResourceLock(long id, java.lang.String name)` Releases a Null Resource Lock on the given Item name.

Methods inherited from class oracle.ifs.fdk.core.CoreLockManager
`acquireManualLocks, listLockedDocuments, releaseManualLocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.ifs.fdk.LockManager
`acquireManualLocks, listLockedDocuments, releaseManualLocks`

Constructor Detail

### CoreExtendedLockManager

    public CoreExtendedLockManager()

  Constructor.

### CoreExtendedLockManager

    public CoreExtendedLockManager(FdkSession session)

Method Detail

### acquireDavLock

    public Item acquireDavLock(long id,
                               NamedValue[] attributes)
                        throws FdkException

  Description copied from interface: `ExtendedLockManager`
  Acquires a DAV lock on the given Item.

  Specified by:
    `acquireDavLock` in interface `ExtendedLockManager`
  Parameters:
    `id` - the ID of the Item to lock.
    `attributes` - DAV lock attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.LOCK_TIMEOUT, Date}
    - {Attributes.LOCK_DEPTH, Integer}
    - {Attributes.LOCK_TOKEN, String}
    - {Attributes.LOCK_DAV_OWNER, String}
  Returns:
    Item the LockEntry Item that was created
  Throws:
    `FdkException` - if the operation fails.

### releaseDavLock

    public void releaseDavLock(long id)
                        throws FdkException

  Description copied from interface: `ExtendedLockManager`
  Releases a DAV on the given Item. Does not affect other locks.

  Specified by:
    `releaseDavLock` in interface `ExtendedLockManager`
  Parameters:
    `id` - the ID of the object to unlock.
  Throws:
    `FdkException` - if the operation fails.

### refreshDavLock

    public Item refreshDavLock(long id,
                               NamedValue[] attributes)
                        throws FdkException

  Description copied from interface: `ExtendedLockManager`
  Refreshes a DAV lock.

  Specified by:
    `refreshDavLock` in interface `ExtendedLockManager`
  Parameters:
    `id` - the ID of the object on which to refresh the lock.
    `attributes` - DAV lock attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.LOCK_TIMEOUT, Date}
    - {Attributes.LOCK_DEPTH, Integer}
    - {Attributes.LOCK_TOKEN, String}
    - {Attributes.LOCK_DAV_OWNER, String}
  Returns:
    Item the LockEntry Item that was refreshed
  Throws:
    `FdkException` - if the operation fails.

### acquireNullOrDavLock

    public Item acquireNullOrDavLock(long id,
                                     java.lang.String name,
                                     NamedValue[] attributes)
                              throws FdkException

  Description copied from interface: `ExtendedLockManager`
  Acquires either a Null Resource Lock or a DAV lock on the given Item name.

  Specified by:
    `acquireNullOrDavLock` in interface `ExtendedLockManager`
  Parameters:
    `id` - the ID of the Folder containing the Item to lock.
    `name` - the name of the Item to lock.
    `attributes` - DAV lock attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.LOCK_TIMEOUT, Date}
    - {Attributes.LOCK_DEPTH, Integer}
    - {Attributes.LOCK_TOKEN, String}
    - {Attributes.LOCK_DAV_OWNER, String}
  Returns:
    Item the LockEntry Item that was created
  Throws:
    `FdkException` - if the operation fails.

### releaseNullResourceLock

    public void releaseNullResourceLock(long id,
                                        java.lang.String name)
                                 throws FdkException

  Description copied from interface: `ExtendedLockManager`
  Releases a Null Resource Lock on the given Item name.

  Specified by:
    `releaseNullResourceLock` in interface `ExtendedLockManager`
  Parameters:
    `id` - the ID of the Folder containing the Item holding the lock
    `name` - the name of the Item on which the lock applies
  Throws:
    `FdkException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD